// MOTOR function test program
// T. Braunl, UWA 2024
#include "eyebot.h"

void mot_check(int m1, int m2, char mes[])
{ LCDClear();
  LCDPrintf("%s", mes);
  MOTORDrive(1, m1);
  MOTORDrive(2, m2);
  OSWait(4000); // 4 sec
}


int main()
{ 
  mot_check( 25, 25, "Straight forward");
  mot_check(-25,-25, "Straight back");

  mot_check(-20, 20, "Turn left");
  mot_check( 20,-20, "Turn right");

  mot_check( 15, 30, "Curve left");
  mot_check( 30, 15, "Curve right");

  MOTORDrive(1, 0);  // stop
  MOTORDrive(2, 0);
}
